Method: projects.locations.autoProtectionPolicies.delete

Deletes a single AutoProtectionPolicy.

HTTP request


DELETE https://backupdr.googleapis.com/v1/{name=projects/*/locations/*/autoProtectionPolicies/*}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the policy to delete. Format: projects/{project}/locations/{location}/autoProtectionPolicies/{autoProtectionPolicy}

Query parameters

Parameters
etag

string

Optional. The current etag of the autoprotectionpolicy. If an etag is provided and does not match the current etag of the connection, deletion will be blocked.

requestId

string

Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-backupdr

For more information, see the Authentication Overview.